View Issue Details

IDProjectCategoryView StatusLast Update
0032975LazarusLCLpublic2018-09-10 22:34
Reporterfantangshan Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSubuntu 16.04 
Summary0032975: A patch for fixing OnChange of TFloatSpinEdit and TSpinEdit is triggered but nothing changed when TForm.Show with gtk2
DescriptionHonestly I don't realy understand why these changing can fix it.

I suggest that it should be someone who is familar with gtk2 merging my modification and please completely test it.
Steps To Reproduce1. Run the test program
2. You should not see the caption of the labels on the form changed.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0032985 closedJuha Manninen [patch] Fix TFloatSpinEdit behaviour (Gtk2) 
related to 0031618 closedJuha Manninen TSpinEdit.OnChange events in GTk2 

Activities

fantangshan

2018-01-08 03:45

reporter  

lazarus_truc.zip (9,623 bytes)

fantangshan

2018-01-21 10:40

reporter   ~0105978

Why this still in state of new? Please merge it, this is really a bug, please first run the test program to see it.
I want to keep updating with trunc, so please do it as soon as possible.

Or tell me how can I commit ? I'm happy to do this.

Zeljan Rikalo

2018-01-21 16:02

developer   ~0105986

First learn howo create patch, then create patch and upload it here so we can review. http://wiki.freepascal.org/Creating_A_Patch

fantangshan

2018-02-08 14:37

reporter   ~0106286

Yes? I got a patch and I uploaded. Can anyone see it?

fantangshan

2018-02-08 14:38

reporter  

lazarus_truc_again.zip (9,623 bytes)

Bart Broersma

2018-02-08 19:07

developer   ~0106292

No need to zip the patch, just attach it as is, makes it easier for us to review.

fantangshan

2018-02-28 15:37

reporter   ~0106756

Why don't merge the patch or fix this bug.

Bart Broersma

2018-02-28 15:42

developer   ~0106758

GTK is not really my thing.
Maybe Zeljan?

Juha Manninen

2018-09-09 10:59

developer   ~0110585

Last edited: 2018-09-09 11:15

View 4 revisions

The patch is invalid. Please provide a new one.
Upload it directly without compressing as it is rather small. It is easier to download and view. Also, my browser allows to view a patch directly without downloading.

Does the bug still exist? I see the Label captions change when I click things.
You did not even fill the "Product Version" field. Is this about some old Lazarus version? You must always create patches against trunk and test with it.


---
$ patch -p0 < ~/patch/gtk2
gtk2.patch gtk2proc.inc.patch
[juha@JuhanKone lazarus_trunk]$ patch -p0 < ~/patch/gtk2.patch
(Stripping trailing CRs from patch; use --binary to disable.)
patching file lcl/interfaces/gtk2/gtk2callback.inc
Hunk 0000001 FAILED at 537.
1 out of 1 hunk FAILED -- saving rejects to file lcl/interfaces/gtk2/gtk2callback.inc.rej
(Stripping trailing CRs from patch; use --binary to disable.)
patching file lcl/interfaces/gtk2/gtk2proc.pp
Hunk 0000001 FAILED at 101.
1 out of 1 hunk FAILED -- saving rejects to file lcl/interfaces/gtk2/gtk2proc.pp.rej
(Stripping trailing CRs from patch; use --binary to disable.)
patching file lcl/interfaces/gtk2/gtk2widgetset.inc
Hunk 0000001 FAILED at 437.
1 out of 1 hunk FAILED -- saving rejects to file lcl/interfaces/gtk2/gtk2widgetset.inc.rej

accorp

2018-09-10 21:35

reporter   ~0110619

It was a bug with the call to OnChange when Readonly is changed, fixed with 0032985.

Juha Manninen

2018-09-10 22:34

developer   ~0110624

Ok, thanks for the info. Resolving.

Issue History

Date Modified Username Field Change
2018-01-08 03:45 fantangshan New Issue
2018-01-08 03:45 fantangshan File Added: lazarus_truc.zip
2018-01-08 17:47 Bart Broersma Relationship added related to 0031618
2018-01-21 10:40 fantangshan Note Added: 0105978
2018-01-21 16:02 Zeljan Rikalo Note Added: 0105986
2018-02-08 14:37 fantangshan Note Added: 0106286
2018-02-08 14:38 fantangshan File Added: lazarus_truc_again.zip
2018-02-08 19:07 Bart Broersma Note Added: 0106292
2018-02-28 15:37 fantangshan Note Added: 0106756
2018-02-28 15:42 Bart Broersma Note Added: 0106758
2018-09-09 10:56 Juha Manninen Assigned To => Juha Manninen
2018-09-09 10:56 Juha Manninen Status new => assigned
2018-09-09 10:59 Juha Manninen Note Added: 0110585
2018-09-09 10:59 Juha Manninen LazTarget => -
2018-09-09 10:59 Juha Manninen Status assigned => feedback
2018-09-09 11:08 Juha Manninen Note Edited: 0110585 View Revisions
2018-09-09 11:12 Juha Manninen Note Edited: 0110585 View Revisions
2018-09-09 11:15 Juha Manninen Note Edited: 0110585 View Revisions
2018-09-10 21:35 accorp Note Added: 0110619
2018-09-10 22:31 Juha Manninen Relationship added related to 0032985
2018-09-10 22:34 Juha Manninen Note Added: 0110624
2018-09-10 22:34 Juha Manninen Status feedback => resolved
2018-09-10 22:34 Juha Manninen Resolution open => fixed